org.apache.storm.trident.planner.processor

## Class TridentContext

- java.lang.Object
- - org.apache.storm.trident.planner.processor.TridentContext

-     public class TridentContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TridentContext(Fields selfFields, List<TridentTuple.Factory> parentFactories, List<String> parentStreams, List<TupleReceiver> receivers, String outStreamId, int stateIndex, BatchOutputCollector collector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BatchOutputCollector` | `getDelegateCollector()`
    `String` | `getOutStreamId()`
    `List<String>` | `getParentStreams()`
    `List<TridentTuple.Factory>` | `getParentTupleFactories()`
    `List<TupleReceiver>` | `getReceivers()`
    `Fields` | `getSelfOutputFields()`
    `int` | `getStateIndex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TridentContext

          public TridentContext(Fields selfFields,
                                List<TridentTuple.Factory> parentFactories,
                                List<String> parentStreams,
                                List<TupleReceiver> receivers,
                                String outStreamId,
                                int stateIndex,
                                BatchOutputCollector collector)

  - ### Method Detail

    - #### getParentTupleFactories

          public List<TridentTuple.Factory> getParentTupleFactories()

    - #### getSelfOutputFields

          public Fields getSelfOutputFields()

    - #### getParentStreams

          public List<String> getParentStreams()

    - #### getReceivers

          public List<TupleReceiver> getReceivers()

    - #### getOutStreamId

          public String getOutStreamId()

    - #### getStateIndex

          public int getStateIndex()

    - #### getDelegateCollector

          public BatchOutputCollector getDelegateCollector()

Copyright © 2021 The Apache Software Foundation. All rights reserved.